Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Interface OAIMetadataFormat

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIObject, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

All Known Implementing Classes:
  AbstractOAIMetadataFormat

public interface OAIMetadataFormat
extends OAIObject, org.apache.avalon.framework.configuration.Configurable

Basic interface for an OAI metadata format

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Method Summary
`void` | `endMetadataFormatRootElement()` Sends the endElement event of the root element (ie. oai:dc or 'prefix') of the metadata format
`org.apache.avalon.framework.parameters.Parameters` | `getMappings()` Gets the parameters object containing mappings of elements to metadata format elements
`java.lang.String` | `getName()` Gets the name of the oai format used in the ListMetadataFormats response
`java.lang.String` | `getNamespace()` Gets the namespace for the metadata format
`java.lang.String` | `getPrefix()` Gets the name of the oai format metadataPrefix
`java.lang.String` | `getSchemaUrl()` Gets the url of the schemaLocation for the metadata format
`void` | `sendElement(java.lang.String origName, java.lang.String value)` Sends an element to the consumer doing any necessary transformations using mappings
`void` | `setMappings(org.apache.avalon.framework.parameters.Parameters mappings)` Sets the parameters object containing mappings of elements to metadata format elements
`void` | `setName(java.lang.String formatName)` Sets the name of the oai format used in the ListMetadataFormats response
`void` | `setNamespace(java.lang.String namespace)` Sets the namespace for the metadata format
`void` | `setPrefix(java.lang.String prefix)` Sets the name of the oai format metadataPrefix
`void` | `setSchemaUrl(java.lang.String schemaUrl)` Sets the url of the schemaLocation for the metadata format
`void` | `startMetadataFormatRootElement()` Sends the startElement event of the root element (ie. oai:dc or 'prefix') of the metadata format

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the oai format used in the ListMetadataFormats response

### setName

    public void setName(java.lang.String formatName)

  Sets the name of the oai format used in the ListMetadataFormats response

### getPrefix

    public java.lang.String getPrefix()

  Gets the name of the oai format metadataPrefix

### setPrefix

    public void setPrefix(java.lang.String prefix)

  Sets the name of the oai format metadataPrefix

### getSchemaUrl

    public java.lang.String getSchemaUrl()

  Gets the url of the schemaLocation for the metadata format

### setSchemaUrl

    public void setSchemaUrl(java.lang.String schemaUrl)

  Sets the url of the schemaLocation for the metadata format

### getNamespace

    public java.lang.String getNamespace()

  Gets the namespace for the metadata format

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Sets the namespace for the metadata format

### startMetadataFormatRootElement

    public void startMetadataFormatRootElement()
                                        throws org.xml.sax.SAXException

  Sends the startElement event of the root element (ie. oai:dc or 'prefix') of the metadata format

  Throws:
    `org.xml.sax.SAXException`

### endMetadataFormatRootElement

    public void endMetadataFormatRootElement()
                                      throws org.xml.sax.SAXException

  Sends the endElement event of the root element (ie. oai:dc or 'prefix') of the metadata format

  Throws:
    `org.xml.sax.SAXException`

### getMappings

    public org.apache.avalon.framework.parameters.Parameters getMappings()

  Gets the parameters object containing mappings of elements to metadata format elements

### setMappings

    public void setMappings(org.apache.avalon.framework.parameters.Parameters mappings)

  Sets the parameters object containing mappings of elements to metadata format elements

### sendElement

    public void sendElement(java.lang.String origName,
                            java.lang.String value)
                     throws org.xml.sax.SAXException

  Sends an element to the consumer doing any necessary transformations using mappings

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.